Subject: Re: [PATCH] pci_alloc_consistent in an interrupt context

From: Tom Rini <[email-masked]>
Date: Thu, 13 Jun 2002 17:51:56 -0700

On Fri, Jun 14, 2002 at 10:45:39AM +1000, David Gibson wrote:
> On Thu, Jun 13, 2002 at 05:38:07PM -0700, Tom Rini wrote:
[snip]
> > Er, the problem of setting dma_handle twice?
>
> Well, it fixes that and as a bonus gets rid of the ifdefs in
> pci_{alloc,free}_consistent() and means that if we ever port a driver
> using consistent_{alloc,free}() to a processor that *is* cache
> coherent it will Just Work.

In theory at that point OCP would either have its API fully flushed out
or be applied nicely on top of the generic driver work in 2.5 and it
would just work anyhow :)

> > My only concern is that are things still consistent on non consistent
> > procs?
>
> Absolutely - no change to the code path at all on non cache coherent
> processors.

So kmalloc/kfree are equivilent to __get_free_pages/free_pages ?

--
Tom Rini (TR1265)
http://gate.crashing.org/~trini/

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/